Bug 982349 - [abrt] qmmp-0.7.1-1.fc19: __cxxabiv1::__cxa_pure_virtual: Process /usr/bin/qmmp was killed by signal 6 (SIGABRT)
[abrt] qmmp-0.7.1-1.fc19: __cxxabiv1::__cxa_pure_virtual: Process /usr/bin/qm...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qmmp (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Volný
Fedora Extras Quality Assurance
abrt_hash:e6026acc9b44f3d75abf858fae1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 14:42 EDT by Gerald Cox
Modified: 2013-08-27 19:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: qmmp-0.7.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 19:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.72 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: core_backtrace (3.75 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: dso_list (22.11 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: environ (1.99 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: maps (114.73 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: open_fds (1.21 KB, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details
File: var_log_messages (286 bytes, text/plain)
2013-07-08 14:43 EDT, Gerald Cox
no flags Details

  None (edit)
Description Gerald Cox 2013-07-08 14:42:58 EDT
Description of problem:
Running playlist from qmmp, sporatically abends.

Version-Release number of selected component:
qmmp-0.7.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/qmmp
crash_function: __cxxabiv1::__cxa_pure_virtual
executable:     /usr/bin/qmmp
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 __cxxabiv1::__cxa_pure_virtual at ../../../../libstdc++-v3/libsupc++/pure.cc:50
 #6 PlayList::setTime at /usr/src/debug/qmmp-0.7.1/src/plugins/Ui/skinned/playlist.cpp:511
 #7 QMetaObject::activate at kernel/qobject.cpp:3539
 #8 SoundCore::elapsedChanged at /usr/src/debug/qmmp-0.7.1/src/qmmp/moc_soundcore.cxx:172
 #9 SoundCore::qt_static_metacall at /usr/src/debug/qmmp-0.7.1/src/qmmp/moc_soundcore.cxx:89
 #10 QObject::event at kernel/qobject.cpp:1194
 #11 SoundCore::event at /usr/src/debug/qmmp-0.7.1/src/qmmp/soundcore.cpp:335
 #12 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4562
 #13 QApplication::notify at kernel/qapplication.cpp:4348
 #14 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949

Potential duplicate: bug 971852
Comment 1 Gerald Cox 2013-07-08 14:43:01 EDT
Created attachment 770625 [details]
File: backtrace
Comment 2 Gerald Cox 2013-07-08 14:43:03 EDT
Created attachment 770626 [details]
File: cgroup
Comment 3 Gerald Cox 2013-07-08 14:43:05 EDT
Created attachment 770627 [details]
File: core_backtrace
Comment 4 Gerald Cox 2013-07-08 14:43:07 EDT
Created attachment 770628 [details]
File: dso_list
Comment 5 Gerald Cox 2013-07-08 14:43:10 EDT
Created attachment 770629 [details]
File: environ
Comment 6 Gerald Cox 2013-07-08 14:43:12 EDT
Created attachment 770630 [details]
File: limits
Comment 7 Gerald Cox 2013-07-08 14:43:14 EDT
Created attachment 770631 [details]
File: maps
Comment 8 Gerald Cox 2013-07-08 14:43:16 EDT
Created attachment 770632 [details]
File: open_fds
Comment 9 Gerald Cox 2013-07-08 14:43:18 EDT
Created attachment 770633 [details]
File: proc_pid_status
Comment 10 Gerald Cox 2013-07-08 14:43:21 EDT
Created attachment 770634 [details]
File: var_log_messages
Comment 11 Karel Volný 2013-07-31 06:10:20 EDT
Hi,

unfortunately, debugging this is beyond my abilities.

I've reported this to the author via email, as I don't have and don't want to have a Google account which is needed to access the upstream issue tracker, but I haven't received any reply so far.

If you had a reliable reproducer, it could make things much easier.
Comment 13 Gerald Cox 2013-08-15 22:38:18 EDT
Thanks.  Actually this has been going on for several releases now.  Do you know if they are going to package something in the test repo so I can try it out?
Comment 14 Karel Volný 2013-08-19 07:38:05 EDT
(In reply to Gerald Cox from comment #13)
> Thanks.  Actually this has been going on for several releases now.

not sure if this is exactly the same problem, as there were some fixes to the playlist code in the past ...

> Do you know if they are going to package something in the test repo so I can
> try it out?

I've just cherry-picked the patch, a new build is on its way
Comment 15 Fedora Update System 2013-08-19 08:17:13 EDT
qmmp-0.7.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qmmp-0.7.1-2.fc19
Comment 16 Gerald Cox 2013-08-19 14:10:59 EDT
Thanks, I'll give it a try when it gets pushed.
Comment 17 Fedora Update System 2013-08-19 17:24:56 EDT
Package qmmp-0.7.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qmmp-0.7.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14992/qmmp-0.7.1-2.fc19
then log in and leave karma (feedback).
Comment 18 Gerald Cox 2013-08-21 12:48:29 EDT
Left karma.  Patch appears to have resolved issue.  Thanks!
Comment 19 Fedora Update System 2013-08-27 19:33:23 EDT
qmmp-0.7.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.